#ifndef SYSTEMINFO_H
#define SYSTEMINFO_H

#include <QString>

namespace SystemInfo {
//获得系统版本
QString getSystemVersion();
//获得激活状态
quint32 getActiveState();
//获得激活码
QString getSystemMachineCode();
QString getActiveCode();
QString getSystemCopyright();
QString getSystemEdition();
QString getHostMacAddress();
//获得系统类型:eg:Professional
QString getSystemType();
//类型：eg:32位还是64位
QString getType();
//获得处理器信息
QString getProcessor();
//获得内核版本
QString getKernel();

} // namespace SystemInfo

#endif // SYSTEMINFO_H
