/*
 * Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
 *
 * Author:     zhangminjie <zhangminjie@uniontech.com>
 *
 * Maintainer: zhangminjie <zhangminjie@uniontech.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef SELFSUPPORTMODULE_H
#define SELFSUPPORTMODULE_H

#include <DFrame>

#include <QWidget>

DWIDGET_USE_NAMESPACE

class SelfSupportModule : public DFrame
{
    Q_OBJECT

public:
    SelfSupportModule(QWidget *parent = Q_NULLPTR, const QString &iconName = Q_NULLPTR, const QString &linkName = Q_NULLPTR, const QString &linkAddress = Q_NULLPTR);
    ~SelfSupportModule();
    void setUrl(QString url);

protected:
    bool eventFilter(QObject *object, QEvent *event);

private:
    QString m_iconName;
    QString m_linkName;
    QString m_linkAddress;
};

#endif // SELFSUPPORTMODULE_H
