/*
 * Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
 *
 * Author:     like <like@uniontech.com>
 *
 * Maintainer: like <like@uniontech.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef SUCCESS_H
#define SUCCESS_H

#include <DWidget>
#include <DSuggestButton>

DWIDGET_USE_NAMESPACE

class SuccessWidget : public DWidget
{
    Q_OBJECT
public:
    explicit SuccessWidget(QWidget *parent = Q_NULLPTR);
    ~SuccessWidget();

private:
    void initUI();

    DPushButton *m_feedBackAgain;
    DSuggestButton *m_completeButton;

signals:
    void jumpSupportPage();
    void jumpConsultationPage();
};

#endif // SUCCESS_H
