/*
 * Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
 *
 * Author:     liutianming <liutianming@uniontech.com>
 *
 * Maintainer: liutianming <liutianming@uniontech.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef LICENSESTATUS_H
#define LICENSESTATUS_H

#include <QObject>
#include <QDBusConnection>
#include <QDBusInterface>

const QString INTERGACEADRESS = "com.deepin.license";
const QString INTERGACEPATH = "/com/deepin/license/Info";
const QString INTERGACEOBJECT = "com.deepin.license.Info";

class LicenseStatus : public QObject
{
    Q_OBJECT
public:
    LicenseStatus(QObject *parent = Q_NULLPTR);
    ~LicenseStatus();
    static bool authorizeStatus;

public slots:
    void licenseStatusChanged();
    void wakeLicenseInterface();

private slots:
    void init();

private:
    QDBusInterface *m_interface;

};

#endif // LICENSESTATUS_H
