/*
 * Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
 *
 * Author:     zhanglei <zhanglei@uniontech.com>
 *
 * Maintainer: liutianming <liutianming@uniontech.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef UNIT
#define UNIT

typedef enum {
    ConnectedHost = 0x01,
    DisConnectedHost,
} E_STATUS;

/*
* The ActiveState enum
*/
enum ActiveState {
    Unauthorized = 0,       //未授权
    Authorized = 1,         //已授权
    AuthorizedLapse = 2,    //授权失效
    TrialAuthorized = 3,    //试用期已授权
    TrialExpired = 4        //试用期已过期
};

typedef enum {
    ticket = 0, // 工单

} MessageType;

#endif //UNIT
