/*
 * Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
 *
 * Author:     zhangminjie <zhangminjie@uniontech.com>
 *
 * Maintainer: zhangminjie <zhangminjie@uniontech.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef SELFSUPPORT_H
#define SELFSUPPORT_H

#include "selfsuppoetmodule.h"
#include "openhelpmanual.h"

#include <DWidget>

DWIDGET_USE_NAMESPACE

class SelfSupport : public DWidget
{
    Q_OBJECT

public:
    explicit SelfSupport(QWidget *parent = Q_NULLPTR);
    ~SelfSupport();

public slots:
    void updateWebUrl(const QString &linkUrl);

private:
    QString m_linkUrl;
    SelfSupportModule *m_readMore;
};

#endif // SELFSUPPORT_H
