/*
 * Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
 *
 * Author:     liutianming <liutianming@uniontech.com>
 *
 * Maintainer: liutianming <liutianming@uniontech.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef USERTITLEBAR_H
#define USERTITLEBAR_H

#include <DMenu>
#include <DIconButton>

DWIDGET_USE_NAMESPACE

class DSocketClient;
class DeepinAccount;

class UserTitleBar : public DIconButton
{
    Q_OBJECT
public:
    explicit UserTitleBar(QWidget *parent = Q_NULLPTR);
    ~UserTitleBar();

private:
    bool status;
    DSocketClient *m_webClient;
    DeepinAccount *m_account;
    DMenu *m_statusmenu;
    QAction *m_userName;
    QAction *m_exitLoad;
    QString m_avatarPath;
    QString m_accountName;
};

#endif // USERTITLEBAR_H
